Skip to main content
PATCH
Reject an identity

Authorizations

Api-Token
string
header
required

Server-to-server authentication. Generate a token in the admin UI at Settings → Developers → API Access. Send the raw token in the Api-Token header — there is no Bearer prefix.

Tokens can be marked read-only at creation time, in which case the API rejects any non-GET request with 403 Forbidden.

Path Parameters

id
string
required

Identity identifier

Body

application/merge-patch+json

The updated Identity resource

firstName
string | null
lastName
string | null
personalNumber
string | null
personalNumberSecure
string | null
idSerial
string | null
idNumber
string | null
idType
string | null
idStartDate
string<date-time> | null
idEndDate
string<date-time> | null
rejectedCause
string | null
dateBirth
string<date-time> | null
addressStreet
string | null
addressDetails
string | null
idTown
string<iri-reference> | null
Example:

"/api/v1/towns/1"

idNumberSecure
string | null

Response

Identity resource updated

id
integer
read-only
uploadedBy
object | null
uploadedByExternal
object | null
uploadedDate
string<date-time>
type
string
read-only
isValidated
boolean | null
read-only
hasUploadedDocument
boolean
read-only
validatedBy
object | null
validatedDate
string<date-time> | null
member
object | null
contact
object | null
updatedBy
object | null
updatedDate
string<date-time>
firstName
string | null
lastName
string | null
personalNumber
string | null
personalNumberSecure
string | null
idSerial
string | null
idNumber
string | null
idType
string | null
idStartDate
string<date-time> | null
idEndDate
string<date-time> | null
idAddress
string | null
read-only
status
string
rejectedCause
string | null
dateBirth
string<date-time> | null
addressStreet
string | null
addressDetails
string | null
idTown
object | null
media
object | null
idNumberSecure
string | null
mediaBack
object | null
hash
string | null
read-only